group = core
admin-port = 13000
smsbox-port = 13001
#wapbox-port= 13002
admin-password = hariom
status-password = foo
admin-deny-ip = ""
admin-allow-ip = ""
log-level = 0
log-file = "/var/log/kannel/kannel.log"
box-deny-ip = "*.*.*.*"
box-allow-ip = "127.0.0.1"
access-log = "/var/log/kannel/access.log"
store-location= "/var/log/kannel/a-z.log"
smsbox-max-pending = 10
unified-prefix = "91,0091,+91,091" 
#dlr-storage = mysql

group = smsc
smsc = at 
smsc-id = Bluocean
#modemtype = Bluocean
modemtype = auro
device = /dev/usb/hiddev0
#device = /dev/ttyUSB0
#device = /dev/ttyS0
my-number = "+6583640330"
# my-number = "+919757408157"
# sms-center = "+919810051873"
# sms-center = "+919869099994"
# sms-center = "+919892051914"
# Airtel :+919892051914"
speed = 9600                      
pin = 2345    
sim-buffering = true      
log-level = 0  
log-file = "/var/log/kannel/smsc.log"            

#group = wapbox
#bearerbox-host = localhost
#log-file = "/var/log/kannel/wapbox.log"
#log-level = 0

# MODEM DEFINITIONS
#group = modems
#id = Bluocean
#name = "Bluocean"
#detect-string = "Bluocean"
#init-string = "AT+CNMI=1,2,0,1,0"
#http://sivren.hopto.org:13003/cgi-bin/sendsms?username= init-string = "AT Q0 V1 E1 S0=0 &C1 &D2 +FCLASS=0"
# init-string = "AT+CNMI=1,2,0,1,0;+CMEE=1"
# init-string = "AT+CNMI=2,1,2,0,0;+CMEE=1"
#reset-string = "ATZ" 
#message-storage = "ME"
#message-start = 1
 
group = modems
id = Bluocean
name = Bluocean
speed = 115200
detect-string = "Bluocean"
detect-string2 = ""
init-string = "AT+CNMI=2,2,2,1,0"
enable-hwhs = ""
need-sleep = true
no-pin = true
no-smsc = false
sendline-sleep = 100
keepalive-cmd = "AT"
broken = false
message-storage = "SM"
#hardware-flow-control = false
reset-string = "AT+CFUN=1"

#group=smsc
#smsc=smpp
#host=72.167.38.22
#port=9001
#receive-port= 9002
#smsc-id=BondSMS
#smsc-username = topgopub
#smsc-password = t0g0pub
#system-type = "VMA"
##system-type = "generic"
#transceiver-mode = 1
#interface-version=34
#unified-prefix = "91,0091,+91,091" 

group = smsbox
bearerbox-host = localhost
sendsms-port = 13003
global-sender = 9718500594
#sendsms-url = "http://localhost:13003/cgi-bin/sendsms"
access-log = /var/log/kannel/smsaccess.log
log-file = "/var/log/kannel/smsbox.log"
log-level = 0
#access-log = "access.log"

# SEND-SMS USERS

group = sendsms-user
username = virendra
password = bhati
#user-deny-ip = ""
#user-allow-ip = ""

#---------------------------------------------
# SERVICES

#group = sms-service
#keyword = default
#text = "This facility is down for maintenance."
#accept-x-kannel-headers = true
#max-messages = 1
#concatenation = true
#get-url = "http://localhost/playsms/plugin/gateway/kannel/geturl.php?t=%t&q=%q&a=%a"

#Fake SMSC
#group = smsc
#smsc = fake
#port = 10000
#connect-allow-ip = 127.0.0.1

#group = mysql-connection
#id = mydlr
#host = localhost
#username = root
#password = 
#database = playsms
#max-connections = 1

#group = dlr-db
#id = mydlr
#table = dlr
#field-smsc = smsc
#field-timestamp = ts
#field-destination = destination
#field-source = source
#field-service = service
#field-url = url
#field-mask = mask
#field-status = status
#field-boxc-id = boxc
